import { OpenAPIHono } from '@hono/zod-openapi';
import listRoute from './get';
import categoriesRoute from './categories';
import popularRoute from './popular';
import downloadRoute from './[id]/download';
import previewRoute from './[id]/preview';

const app = new OpenAPIHono()
  .route('/', listRoute)
  .route('/', categoriesRoute)
  .route('/', popularRoute)
  .route('/', downloadRoute)
  .route('/', previewRoute);

export default app;